import { RpcSender } from './rpc';
export declare class Logger {
    private readonly traceId;
    private readonly flows;
    private readonly sender;
    constructor(traceId: string, flows: string[], sender: RpcSender);
    private _log;
    info(message: string, args?: Record<string, unknown>): void;
    error(message: string, args?: Record<string, unknown>): void;
    debug(message: string, args?: Record<string, unknown>): void;
    warn(message: string, args?: Record<string, unknown>): void;
}
